shibsp::TemplateParameters Class Reference

Supplies xmltooling TemplateEngine with additional parameters. More...

`#include <shibsp/util/TemplateParameters.h>`

Inheritance diagram for shibsp::TemplateParameters:
[legend]
Collaboration diagram for shibsp::TemplateParameters:
[legend]

## Public Member Functions

| TemplateParameters (const std::exception *e=nullptr, const PropertySet *props=nullptr, const Session *session=nullptr)
| Constructor.
void | setPropertySet (const PropertySet *props)
| Sets a PropertySet to supply additional parameters.
const xmltooling::XMLToolingException * | getRichException () const
| Returns the exception passed to the object, if it contains rich information.
const char * | getParameter (const char *name) const
std::string | toQueryString () const
| Returns a set of query string name/value pairs, URL-encoded, representing all known parameters.

## Detailed Description

Supplies xmltooling TemplateEngine with additional parameters.

## Constructor & Destructor Documentation

## TemplateParameters()

shibsp::TemplateParameters::TemplateParameters | ( | const std::exception * | e = nullptr,
|  | const PropertySet * | props = nullptr,
|  | const Session * | session = nullptr )

Constructor.

Parameters

  e | an exception to supply additional parameters
  props | a PropertySet to supply additional parameters
  session | an active user session

## Member Function Documentation

## getRichException()

const xmltooling::XMLToolingException * shibsp::TemplateParameters::getRichException | ( |  | ) | const

Returns the exception passed to the object, if it contains rich information.

Returns
  an exception, or nullptr

## setPropertySet()

void shibsp::TemplateParameters::setPropertySet | ( | const PropertySet * | props | ) |

Sets a PropertySet to supply additional parameters.

Parameters

  props | a PropertySet to supply additional parameters

## toQueryString()

std::string shibsp::TemplateParameters::toQueryString | ( |  | ) | const

Returns a set of query string name/value pairs, URL-encoded, representing all known parameters.

If an exception is present, it's type, message, and parameters will be included.

Returns
  the query string representation

The documentation for this class was generated from the following file:

- shibsp/util/TemplateParameters.h